<?php

/**
 * @file
 * Contains Views hooks.
 */

/**
 * Implements hook_views_data_alter().
 */
function spectra_views_data_alter(array &$data) {
  $data['spectra_action']['spectra_statement']['relationship'] = [
    'title' => t('Statement Referencing Action'),
    'help' => t('Statement Referencing Action'),
    'base' => 'spectra_statement',
    'base field' => 'action_id',
    'relationship field' => 'action_id',
    'id' => 'standard',
    'label' => t('Statement Referencing Action'),
  ];
  $data['spectra_actor']['spectra_statement']['relationship'] = [
    'title' => t('Statement Referencing Actor'),
    'help' => t('Statement Referencing Actor'),
    'base' => 'spectra_statement',
    'base field' => 'actor_id',
    'relationship field' => 'actor_id',
    'id' => 'standard',
    'label' => t('Statement Referencing Actor'),
  ];
  $data['spectra_context']['spectra_statement']['relationship'] = [
    'title' => t('Statement Referencing Context'),
    'help' => t('Statement Referencing Context'),
    'base' => 'spectra_statement',
    'base field' => 'context_id',
    'relationship field' => 'context_id',
    'id' => 'standard',
    'label' => t('Statement Referencing Context'),
  ];
  $data['spectra_object']['spectra_statement']['relationship'] = [
    'title' => t('Statement Referencing Object'),
    'help' => t('Statement Referencing Object'),
    'base' => 'spectra_statement',
    'base field' => 'object_id',
    'relationship field' => 'object_id',
    'id' => 'standard',
    'label' => t('Statement Referencing Object'),
  ];

  $data['spectra_statement']['spectra_data']['relationship'] = [
    'title' => t('Data Referencing Statement'),
    'help' => t('Data Referencing Statement'),
    'base' => 'spectra_data',
    'base field' => 'statement_id',
    'relationship field' => 'statement_id',
    'id' => 'standard',
    'label' => t('Data Referencing Statement'),
  ];
}